Subject: Re: [RFC/PATCH] powerpc: Rewrite IO allocation & mapping on powerpc64

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 15 May 2007 10:06:17 +1000

> An interesting case is the frame buffer, most fb drivers use hardcoded
> register numbers for the VGA ports, without calling check_legacy_ioport,
> but rely on PCI probing to detect the presence of the device.
> Some IDE drivers do the same, but libata does not. Apparently, these
> are already broken if you plug such hardware into a secondary PCI bus.

VGA is on my todo list for a fix. A lot of framebuffers don't access
legacy VGA ports though. I'm pretty sure none of the ATI or nvidia ones
do nowadays.

We need three different things I beleive:

 - A clean/generic way to obtain the pci_dev for vgacon/vesafb
 - A nice hook to provide an IO "offset" for a given PCI bus for legacy
   accesses (which is allowed to fail if that bus cannot do it).
 - Same for VGA memory

Ben.